package cn.axzo.workflow.core.service;

import cn.axzo.workflow.common.enums.FileTypeEnum;
import cn.axzo.workflow.core.repository.entity.ExtAxDocContent;

import java.util.List;

/**
 * 文件内容表
 *
 * @author wangli
 * @since 2025-03-28 18:12
 */
public interface ExtAxDocContentService {

    List<ExtAxDocContent> getByIds(List<Long> ids);

    ExtAxDocContent createContent(String content, FileTypeEnum fileType, Long docId);

    ExtAxDocContent updateContent(String content, FileTypeEnum fileType, String docId);

    ExtAxDocContent deleteContent(String docId);

    List<ExtAxDocContent> batchDeleteContent(List<String> docIds);

    String getContent(Long docId);

}
